﻿.event-box{display: grid;align-content: start; grid-template-columns: repeat(auto-fill, minmax(400px, 1fr)); gap: 10px; transition: max-height 0.4s ease;  }

.event-box .event-item { position: relative; background: var(--form-bg-color);color: var(--color-unimport); padding: var(--margin); border-radius: 12px;  display: flex; border: 1px solid var(--border-color); flex-direction: column; gap: 10px; transition: all 0.3s; }
.event-item:hover { background: var(--btn-hover-color2); }
 
.event-item img{width:100%;display:block;border-radius:10px;opacity:0.7}
.event-item img:hover{width:100%;display:block;border-radius:10px;opacity:1}

.event-top { display: flex; justify-content: space-between; align-items: center; }
.event-title { font-size: 1.1rem; font-weight: 700; color: var(--text-primary); }
.event-desc { font-size: 0.9rem; color: var(--color-unimport);  margin-top: -5px; margin-bottom: 5px; line-height: 23px; word-break: break-all; }
.event-bottom { display: flex; align-items: center; justify-content: space-between; gap: 15px; font-size: 0.85rem; color: var(--color-unimport); }
.event-info { display: flex; gap: 15px; align-items: center; }
.event-btns { display: flex; gap: 5px; }
.freq-tag { background: rgba(255, 255, 255, 0.05); padding: 3px 8px; border-radius: 6px; color: #fff; }
.status-tag { padding: 4px 10px; border-radius: 6px; font-size: 0.8rem; font-weight: bold; }
.status-upcoming { background: rgba(0, 160, 233, 0.1); color: var(--blue-color); border: 1px solid var(--blue-color); display: none; }
.status-soon { background: rgba(255, 225, 0, 0.1); color: var(--yellow-color); border: 1px solid var(--yellow-color); animation: breathe 2s infinite alternate ease-in-out; }
.status-expired { background: rgba(204, 0, 0, 0.1); color: var(--danger); border: 1px solid var(--danger); }
@media (max-width: 768px) {
    .event-box{display: flex; flex-direction:column; padding-right:10px; gap: 10px; transition: max-height 0.4s ease;  }
    .freq-tag{display:none;}
    }

/*time selector*/
 
 /* 时间选择区域*/
.time-selection { display: grid; grid-template-columns: 1fr 1fr; gap: 20px; margin-bottom: 20px; color:#fff;}
.day-selection { display: grid; grid-template-columns: 1fr; gap: 20px; margin-bottom: 20px; }
.time-column { display: flex; flex-direction: column; }
.label{margin-bottom:10px;color:#fff;}
.options { max-height: 240px; overflow-y: auto; color:#fff;border: 1px solid #fff; border-radius: 8px; padding: 8px; }
.hour-option, .minute-option { padding: 8px 12px; border-radius: 6px; cursor: pointer; transition: all 0.2s ease; margin-bottom: 4px; }
.hour-option:last-child, .minute-option:last-child { margin-bottom: 0; }
.hour-option:hover, .minute-option:hover { background-color: var(--btn-hover-color2); color: var(--yellow-color); }
.hour-option.selected, .minute-option.selected { background-color: var(--btn-hover-color2); color: var(--yellow-color);font-weight: 500; }
.minute-option.major { font-weight: 600; }
/* 时段选择*/
.period-selector { display: none; margin-bottom: 20px; }
.period-buttons { display: flex; gap: 12px; }
.period-btn { flex: 1; padding: 10px; border: 1px solid #e5e7eb; border-radius: 8px; background: none; cursor: pointer; transition: all 0.2s ease; }
.period-btn:hover { background-color: var(--yellow-color); }
.period-btn.selected { background-color: var(--btn-hover-color2);  color: var(--yellow-color); border-color: #3B82F6; }
 